DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell
@ 2019-04-19 12:04 Bruce Richardson
  2019-04-19 12:04 ` Bruce Richardson
  2019-04-19 12:42 ` Luca Boccassi
  0 siblings, 2 replies; 6+ messages in thread
From: Bruce Richardson @ 2019-04-19 12:04 UTC (permalink / raw)
  To: thomas; +Cc: dev, David Marchand, Luca Boccassi, Bruce Richardson

The pipefail option is not supported in /bin/sh, just in bash/ksh and
similar shells - which means it's there by default on most Linux distros
but not on e.g. FreeBSD. Therefore we check for it's presence before
setting the option, and if it's missing, we upgrade verbosity level if
needed to ensure we never hide any build failures.

Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
This patch is a replacement for the previous patch: "fix support for
FreeBSD" [1], which was an incorrect/incomplete fix.

[1]http://patches.dpdk.org/patch/52468/
---
 devtools/test-meson-builds.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 0ea79f461..630a1a6fe 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,7 +7,9 @@
 # * if a build-directory already exists we assume it was properly configured
 # Run ninja after configuration is done.
 
-set -o pipefail
+# set pipefail option if possible
+PIPEFAIL=""
+set -o | grep -q pipefail && set -o pipefail && PIPEFAIL=1
 
 srcdir=$(dirname $(readlink -f $0))/..
 MESON=${MESON:-meson}
@@ -51,6 +53,11 @@ if [ "$1" = "-vv" ] ; then
 elif [ "$1" = "-v" ] ; then
 	TEST_MESON_BUILD_VERBOSE=1
 fi
+# we can't use plain verbose when we don't have pipefail option so up-level
+if [ -z "$PIPEFAIL" -a -n "$TEST_MESON_BUILD_VERBOSE" ] ; then
+	echo "# Missing pipefail shell option, changing VERBOSE to VERY_VERBOSE"
+	TEST_MESON_BUILD_VERY_VERBOSE=1
+fi
 
 # shared and static linked builds with gcc and clang
 for c in gcc clang ; do
-- 
2.20.1

^ permalink raw reply	[flat|nested] 6+ messages in thread

* [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell
  2019-04-19 12:04 [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell Bruce Richardson
@ 2019-04-19 12:04 ` Bruce Richardson
  2019-04-19 12:42 ` Luca Boccassi
  1 sibling, 0 replies; 6+ messages in thread
From: Bruce Richardson @ 2019-04-19 12:04 UTC (permalink / raw)
  To: thomas; +Cc: dev, David Marchand, Luca Boccassi, Bruce Richardson

The pipefail option is not supported in /bin/sh, just in bash/ksh and
similar shells - which means it's there by default on most Linux distros
but not on e.g. FreeBSD. Therefore we check for it's presence before
setting the option, and if it's missing, we upgrade verbosity level if
needed to ensure we never hide any build failures.

Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
This patch is a replacement for the previous patch: "fix support for
FreeBSD" [1], which was an incorrect/incomplete fix.

[1]http://patches.dpdk.org/patch/52468/
---
 devtools/test-meson-builds.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 0ea79f461..630a1a6fe 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,7 +7,9 @@
 # * if a build-directory already exists we assume it was properly configured
 # Run ninja after configuration is done.
 
-set -o pipefail
+# set pipefail option if possible
+PIPEFAIL=""
+set -o | grep -q pipefail && set -o pipefail && PIPEFAIL=1
 
 srcdir=$(dirname $(readlink -f $0))/..
 MESON=${MESON:-meson}
@@ -51,6 +53,11 @@ if [ "$1" = "-vv" ] ; then
 elif [ "$1" = "-v" ] ; then
 	TEST_MESON_BUILD_VERBOSE=1
 fi
+# we can't use plain verbose when we don't have pipefail option so up-level
+if [ -z "$PIPEFAIL" -a -n "$TEST_MESON_BUILD_VERBOSE" ] ; then
+	echo "# Missing pipefail shell option, changing VERBOSE to VERY_VERBOSE"
+	TEST_MESON_BUILD_VERY_VERBOSE=1
+fi
 
 # shared and static linked builds with gcc and clang
 for c in gcc clang ; do
-- 
2.20.1


^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell
  2019-04-19 12:04 [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell Bruce Richardson
  2019-04-19 12:04 ` Bruce Richardson
@ 2019-04-19 12:42 ` Luca Boccassi
  2019-04-19 12:42   ` Luca Boccassi
  2019-04-19 21:18   ` Thomas Monjalon
  1 sibling, 2 replies; 6+ messages in thread
From: Luca Boccassi @ 2019-04-19 12:42 UTC (permalink / raw)
  To: Bruce Richardson, thomas; +Cc: dev, David Marchand

On Fri, 2019-04-19 at 13:04 +0100, Bruce Richardson wrote:
> The pipefail option is not supported in /bin/sh, just in bash/ksh and
> similar shells - which means it's there by default on most Linux
> distros
> but not on e.g. FreeBSD. Therefore we check for it's presence before
> setting the option, and if it's missing, we upgrade verbosity level
> if
> needed to ensure we never hide any build failures.
> 
> Signed-off-by: Bruce Richardson <
> bruce.richardson@intel.com
> >
> ---
> This patch is a replacement for the previous patch: "fix support for
> FreeBSD" [1], which was an incorrect/incomplete fix.
> 
> [1]
> http://patches.dpdk.org/patch/52468/
> 
> ---
>  devtools/test-meson-builds.sh | 9 ++++++++-
>  1 file changed, 8 insertions(+), 1 deletion(-)

Acked-by: Luca Boccassi <bluca@debian.org>

-- 
Kind regards,
Luca Boccassi

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell
  2019-04-19 12:42 ` Luca Boccassi
@ 2019-04-19 12:42   ` Luca Boccassi
  2019-04-19 21:18   ` Thomas Monjalon
  1 sibling, 0 replies; 6+ messages in thread
From: Luca Boccassi @ 2019-04-19 12:42 UTC (permalink / raw)
  To: Bruce Richardson, thomas; +Cc: dev, David Marchand

On Fri, 2019-04-19 at 13:04 +0100, Bruce Richardson wrote:
> The pipefail option is not supported in /bin/sh, just in bash/ksh and
> similar shells - which means it's there by default on most Linux
> distros
> but not on e.g. FreeBSD. Therefore we check for it's presence before
> setting the option, and if it's missing, we upgrade verbosity level
> if
> needed to ensure we never hide any build failures.
> 
> Signed-off-by: Bruce Richardson <
> bruce.richardson@intel.com
> >
> ---
> This patch is a replacement for the previous patch: "fix support for
> FreeBSD" [1], which was an incorrect/incomplete fix.
> 
> [1]
> http://patches.dpdk.org/patch/52468/
> 
> ---
>  devtools/test-meson-builds.sh | 9 ++++++++-
>  1 file changed, 8 insertions(+), 1 deletion(-)

Acked-by: Luca Boccassi <bluca@debian.org>

-- 
Kind regards,
Luca Boccassi

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell
  2019-04-19 12:42 ` Luca Boccassi
  2019-04-19 12:42   ` Luca Boccassi
@ 2019-04-19 21:18   ` Thomas Monjalon
  2019-04-19 21:18     ` Thomas Monjalon
  1 sibling, 1 reply; 6+ messages in thread
From: Thomas Monjalon @ 2019-04-19 21:18 UTC (permalink / raw)
  To: Bruce Richardson; +Cc: dev, Luca Boccassi, David Marchand

19/04/2019 14:42, Luca Boccassi:
> On Fri, 2019-04-19 at 13:04 +0100, Bruce Richardson wrote:
> > The pipefail option is not supported in /bin/sh, just in bash/ksh and
> > similar shells - which means it's there by default on most Linux
> > distros
> > but not on e.g. FreeBSD. Therefore we check for it's presence before
> > setting the option, and if it's missing, we upgrade verbosity level
> > if
> > needed to ensure we never hide any build failures.
> > 
> > Signed-off-by: Bruce Richardson <
> > bruce.richardson@intel.com
> > >
> > ---
> > This patch is a replacement for the previous patch: "fix support for
> > FreeBSD" [1], which was an incorrect/incomplete fix.
> > 
> > [1]
> > http://patches.dpdk.org/patch/52468/
> > 
> > ---
> >  devtools/test-meson-builds.sh | 9 ++++++++-
> >  1 file changed, 8 insertions(+), 1 deletion(-)
> 
> Acked-by: Luca Boccassi <bluca@debian.org>

Looks good.
Applied, thanks

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell
  2019-04-19 21:18   ` Thomas Monjalon
@ 2019-04-19 21:18     ` Thomas Monjalon
  0 siblings, 0 replies; 6+ messages in thread
From: Thomas Monjalon @ 2019-04-19 21:18 UTC (permalink / raw)
  To: Bruce Richardson; +Cc: dev, Luca Boccassi, David Marchand

19/04/2019 14:42, Luca Boccassi:
> On Fri, 2019-04-19 at 13:04 +0100, Bruce Richardson wrote:
> > The pipefail option is not supported in /bin/sh, just in bash/ksh and
> > similar shells - which means it's there by default on most Linux
> > distros
> > but not on e.g. FreeBSD. Therefore we check for it's presence before
> > setting the option, and if it's missing, we upgrade verbosity level
> > if
> > needed to ensure we never hide any build failures.
> > 
> > Signed-off-by: Bruce Richardson <
> > bruce.richardson@intel.com
> > >
> > ---
> > This patch is a replacement for the previous patch: "fix support for
> > FreeBSD" [1], which was an incorrect/incomplete fix.
> > 
> > [1]
> > http://patches.dpdk.org/patch/52468/
> > 
> > ---
> >  devtools/test-meson-builds.sh | 9 ++++++++-
> >  1 file changed, 8 insertions(+), 1 deletion(-)
> 
> Acked-by: Luca Boccassi <bluca@debian.org>

Looks good.
Applied, thanks



^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2019-04-19 21:18 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-04-19 12:04 [dpdk-dev] [PATCH] devtools/test-meson-builds: fix support for plain bourne shell Bruce Richardson
2019-04-19 12:04 ` Bruce Richardson
2019-04-19 12:42 ` Luca Boccassi
2019-04-19 12:42   ` Luca Boccassi
2019-04-19 21:18   ` Thomas Monjalon
2019-04-19 21:18     ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).